#pragma once

/**
The user control for a custom character editor.
Will use whatever foreground/background color you give it.
The default character is some zig-zag thing.
**/

namespace lcdsetter {
	public ref class CustomChar : public System::Windows::Forms::UserControl
	{
#define CC_WIDTH 5
		array<System::Byte> ^data;
		int active_c, active_r;
	public: CustomChar(void);
	public: array<System::Byte> ^GetDataDynamic(); // changes in the returned array effect the data in the character
	public: array<System::Byte> ^GetData();	// returns a copy of the data array
	public: System::Byte GetRowData(int row); // gets one of the rows of data
	public: bool GetPixelData(int row, int col); // gets the data for a single pixel
	public: void SetData(array<System::Byte> ^rows); // sets the entire character
	public: void SetRowData(int row, System::Byte value); // sets a row of data
	public: void SetPixelData(int row, int col, bool on); // sets a single pixel of data
	public: void InvertPixel(int row, int col); // switches a single pixel from on to off and off to on
	protected: virtual void OnPaint(System::Windows::Forms::PaintEventArgs^ e) override;
	protected: virtual void OnGotFocus(System::EventArgs^ e) override;
	protected: virtual void OnLostFocus(System::EventArgs^ e) override;
	protected: virtual void OnMouseClick(System::Windows::Forms::MouseEventArgs ^e) override;
	protected: virtual void OnMouseLeave(System::EventArgs ^e) override;
	protected: virtual void OnMouseMove(System::Windows::Forms::MouseEventArgs ^e) override;
	protected: virtual void OnEnabledChanged(System::EventArgs ^e) override;
	};
}
