#include "StdAfx.h"
#include "Dialog.h"

using namespace lcdsetter;

using namespace System::Windows::Forms;

Dialog::Dialog(String ^title, String ^message) {
	InitializeComponent();
	this->Text = title;
	label->Text = message;
}
System::Windows::Forms::DialogResult Dialog::ShowDialog_(System::Windows::Forms::IWin32Window ^w) {
	if (this->InvokeRequired)
		return (System::Windows::Forms::DialogResult)this->Invoke(gcnew ShowDialog$(this, &Dialog::ShowDialog), w);
	else
		return this->ShowDialog(w);
}

void Dialog::CreateForm() {
	d = gcnew Dialog(L"", L"");
}
System::Windows::Forms::DialogResult Dialog::ShowModal(System::Windows::Forms::IWin32Window ^w, String ^title, String ^message) {
	if (d) {
		SetTitle(title);
		SetText(message);
	} else {
		d = gcnew Dialog(title, message);
	}
	SetProgress(0);
	SetProgressMax(100);
	SetProgressStyle(true);
	return d->ShowDialog_(w);
}

void Dialog::ShowNonModal(String ^title, String ^message) {
	if (d) {
		SetTitle(title);
		SetText(message);
	} else {
		d = gcnew Dialog(title, message);
	}
	SetProgress(0);
	SetProgressMax(100);
	SetProgressStyle(true);
	d->ShowInTaskbar = true;
	d->Show();
}


void Dialog::CloseForm() {
	if (!d) return;
	if (d->InvokeRequired)
		d->Invoke(gcnew Close$(d, &Dialog::Close));
	else
		d->Close();
}

void Dialog::SetTitle(String ^title) {
	if (!d) return;
	if (d->InvokeRequired)
		d->Invoke(gcnew SetText$(&Dialog::SetTitle), title);
	else
		d->Text = title;
}
void Dialog::SetText(String ^text) {
	if (!d) return;
	if (d->InvokeRequired)
		d->Invoke(gcnew SetText$(&Dialog::SetText), text);
	else
		d->label->Text = text;
}
void Dialog::SetProgress(int progress) {
	if (!d) return;
	if (d->InvokeRequired)
		d->Invoke(gcnew SetInt$(&Dialog::SetProgress), progress);
	else
		d->progressBar->Value = progress;
}
void Dialog::SetProgressMax(int max) {
	if (!d) return;
	if (d->InvokeRequired)
		d->Invoke(gcnew SetInt$(&Dialog::SetProgressMax), max);
	else
		d->progressBar->Maximum = max;
}
void Dialog::SetProgressStyle(bool marquee) {
	if (!d) return;
	if (d->InvokeRequired)
		d->Invoke(gcnew SetBool$(&Dialog::SetProgressStyle), marquee);
	else
		d->progressBar->Style = marquee ? ProgressBarStyle::Marquee : ProgressBarStyle::Continuous;
}

void Dialog::InitializeComponent(void) {
	this->progressBar = (gcnew System::Windows::Forms::ProgressBar());
	this->label = (gcnew System::Windows::Forms::Label());
	this->SuspendLayout();
	// 
	// progressBar
	// 
	this->progressBar->Anchor = static_cast<System::Windows::Forms::AnchorStyles>(((System::Windows::Forms::AnchorStyles::Bottom | System::Windows::Forms::AnchorStyles::Left) | System::Windows::Forms::AnchorStyles::Right));
	this->progressBar->Location = System::Drawing::Point(12, 29);
	this->progressBar->Size = System::Drawing::Size(288, 25);
	this->progressBar->Minimum = 0;
	// 
	// label
	// 
	this->label->AutoSize = true;
	this->label->Location = System::Drawing::Point(12, 9);
	// 
	// Dialog
	// 
	this->AutoScaleDimensions = System::Drawing::SizeF(6, 13);
	this->AutoScaleMode = System::Windows::Forms::AutoScaleMode::Font;
	this->ClientSize = System::Drawing::Size(312, 66);
	this->ControlBox = false;
	this->Controls->Add(this->label);
	this->Controls->Add(this->progressBar);
	this->FormBorderStyle = System::Windows::Forms::FormBorderStyle::FixedDialog;
	this->MaximizeBox = false;
	this->MinimizeBox = false;
	this->ShowIcon = false;
	this->ShowInTaskbar = false;
	this->StartPosition = System::Windows::Forms::FormStartPosition::CenterParent;
	this->ResumeLayout();
}

void __stdcall progress(int cur, int total) {
	Dialog::SetProgress(cur);
	Dialog::SetProgressMax(total);
}
wchar_t *toWCS(String ^s) {
	int len = s->Length;
	wchar_t *ws = new wchar_t[len+1];
	for (int i = 0; i < len; i++) {
		ws[i] = s[i];
	}
	ws[len] = 0;
	return ws;
}