#include "StdAfx.h"
#include "EditGPOs.h"
#include "COM.h"

using namespace lcdsetter;

using namespace System;
using namespace System::Windows::Forms;

void EditGPOs::OpenForm(bool isU2L, System::String ^port, int baud) {
	if (form == nullptr)
		form = gcnew EditGPOs();
	EditGPOs::isU2L = isU2L;
	EditGPOs::port = port;
	EditGPOs::baud = baud;
	form->butReadCur->Enabled = isU2L;
	form->butReadMem->Enabled = isU2L;
	form->Show();
	form->Focus();
}
void EditGPOs::CloseForm() {
	if (form != nullptr)
		form->Close();
}

EditGPOs::EditGPOs(void) { InitializeComponent(); }

void EditGPOs::trackBar1_Scroll(System::Object^  sender, System::EventArgs^  e) {
	label1->Text = trackBar1->Value.ToString();
}
void EditGPOs::trackBar2_Scroll(System::Object^  sender, System::EventArgs^  e) {
	label2->Text = trackBar2->Value.ToString();
}
void EditGPOs::trackBar3_Scroll(System::Object^  sender, System::EventArgs^  e) {
	label3->Text = trackBar3->Value.ToString();
}
void EditGPOs::trackBar4_Scroll(System::Object^  sender, System::EventArgs^  e) {
	label4->Text = trackBar4->Value.ToString();
}
void EditGPOs::trackBar5_Scroll(System::Object^  sender, System::EventArgs^  e) {
	label5->Text = trackBar5->Value.ToString();
}
void EditGPOs::butReadCur_Click(System::Object^  sender, System::EventArgs^  e) {
	COM ^c = nullptr;
	try {
		c = gcnew COM(port, baud);
		c->ReadGPOVal(radioOn1, radioOff1, trackBar1, label1, 1, true);
		c->ReadGPOVal(radioOn2, radioOff2, trackBar2, label2, 2, true);
		c->ReadGPOVal(radioOn3, radioOff3, trackBar3, label3, 3, true);
		c->ReadGPOVal(radioOn4, radioOff4, trackBar4, label4, 4, true);
		c->ReadGPOVal(radioOn5, radioOff5, trackBar5, label5, 5, true);
	} catch (COMException ^ex) {
		ex->Show(this);
	} catch (Exception ^ex) {
		MessageBox::Show(this, L"The COM port caused an error:\n"+ex->Message, L"COM Error", MessageBoxButtons::OK, MessageBoxIcon::Error);
	} finally { if (c) c->Close(); }
}
void EditGPOs::butReadMem_Click(System::Object^  sender, System::EventArgs^  e) {
	COM ^c = nullptr;
	try {
		c = gcnew COM(port, baud);
		c->ReadGPOVal(radioOn1, radioOff1, trackBar1, label1, 1, false);
		c->ReadGPOVal(radioOn2, radioOff2, trackBar2, label2, 2, false);
		c->ReadGPOVal(radioOn3, radioOff3, trackBar3, label3, 3, false);
		c->ReadGPOVal(radioOn4, radioOff4, trackBar4, label4, 4, false);
		c->ReadGPOVal(radioOn5, radioOff5, trackBar5, label5, 5, false);
	} catch (COMException ^ex) {
		ex->Show(this);
	} catch (Exception ^ex) {
		MessageBox::Show(this, L"The COM port caused an error:\n"+ex->Message, L"COM Error", MessageBoxButtons::OK, MessageBoxIcon::Error);
	} finally { if (c) c->Close(); }
}
void EditGPOs::butSetCur_Click(System::Object^  sender, System::EventArgs^  e) {
	COM ^c = nullptr;
	try {
		c = gcnew COM(port, baud);
		c->SendCmd(GPOpwm, 1, trackBar1->Value);
		c->SendCmd(radioOn1->Checked ? GPOon : GPOoff, 1);
		c->SendCmd(GPOpwm, 2, trackBar2->Value);
		c->SendCmd(radioOn2->Checked ? GPOon : GPOoff, 2);
		c->SendCmd(GPOpwm, 3, trackBar3->Value);
		c->SendCmd(radioOn3->Checked ? GPOon : GPOoff, 3);
		c->SendCmd(GPOpwm, 4, trackBar4->Value);
		c->SendCmd(radioOn4->Checked ? GPOon : GPOoff, 4);
		c->SendCmd(GPOpwm, 5, trackBar5->Value);
		c->SendCmd(radioOn5->Checked ? GPOon : GPOoff, 5);
	} catch (COMException ^ex) {
		ex->Show(this);
	} catch (Exception ^ex) {
		MessageBox::Show(this, L"The COM port caused an error:\n"+ex->Message, L"COM Error", MessageBoxButtons::OK, MessageBoxIcon::Error);
	} finally { if (c) c->Close(); }
}
void EditGPOs::butSetMem_Click(System::Object^  sender, System::EventArgs^  e) {
	COM ^c = nullptr;
	try {
		c = gcnew COM(port, baud);
		c->SendCmd(RememberGPOpwm, 1, trackBar1->Value);
		c->SendCmd(RememberGPO, 1, radioOn1->Checked ? 1 : 0);
		c->SendCmd(RememberGPOpwm, 2, trackBar2->Value);
		c->SendCmd(RememberGPO, 2, radioOn2->Checked ? 1 : 0);
		c->SendCmd(RememberGPOpwm, 3, trackBar3->Value);
		c->SendCmd(RememberGPO, 3, radioOn3->Checked ? 1 : 0);
		c->SendCmd(RememberGPOpwm, 4, trackBar4->Value);
		c->SendCmd(RememberGPO, 4, radioOn4->Checked ? 1 : 0);
		c->SendCmd(RememberGPOpwm, 5, trackBar5->Value);
		c->SendCmd(RememberGPO, 5, radioOn5->Checked ? 1 : 0);
	} catch (COMException ^ex) {
		ex->Show(this);
	} catch (Exception ^ex) {
		MessageBox::Show(this, L"The COM port caused an error:\n"+ex->Message, L"COM Error", MessageBoxButtons::OK, MessageBoxIcon::Error);
	} finally { if (c) c->Close(); }
}
void EditGPOs::InitializeComponent() {
	System::ComponentModel::ComponentResourceManager^  resources = (gcnew System::ComponentModel::ComponentResourceManager(EditGPOs::typeid));
	this->butReadCur = (gcnew System::Windows::Forms::Button());
	this->butReadMem = (gcnew System::Windows::Forms::Button());
	this->butSetMem = (gcnew System::Windows::Forms::Button());
	this->butSetCur = (gcnew System::Windows::Forms::Button());
	this->radioOn1 = (gcnew System::Windows::Forms::RadioButton());
	this->groupGPO1 = (gcnew System::Windows::Forms::GroupBox());
	this->label1 = (gcnew System::Windows::Forms::Label());
	this->trackBar1 = (gcnew System::Windows::Forms::TrackBar());
	this->radioOff1 = (gcnew System::Windows::Forms::RadioButton());
	this->groupGPO2 = (gcnew System::Windows::Forms::GroupBox());
	this->label2 = (gcnew System::Windows::Forms::Label());
	this->trackBar2 = (gcnew System::Windows::Forms::TrackBar());
	this->radioOff2 = (gcnew System::Windows::Forms::RadioButton());
	this->radioOn2 = (gcnew System::Windows::Forms::RadioButton());
	this->groupGPO3 = (gcnew System::Windows::Forms::GroupBox());
	this->label3 = (gcnew System::Windows::Forms::Label());
	this->trackBar3 = (gcnew System::Windows::Forms::TrackBar());
	this->radioOff3 = (gcnew System::Windows::Forms::RadioButton());
	this->radioOn3 = (gcnew System::Windows::Forms::RadioButton());
	this->groupGPO4 = (gcnew System::Windows::Forms::GroupBox());
	this->label4 = (gcnew System::Windows::Forms::Label());
	this->trackBar4 = (gcnew System::Windows::Forms::TrackBar());
	this->radioOff4 = (gcnew System::Windows::Forms::RadioButton());
	this->radioOn4 = (gcnew System::Windows::Forms::RadioButton());
	this->groupGPO5 = (gcnew System::Windows::Forms::GroupBox());
	this->label5 = (gcnew System::Windows::Forms::Label());
	this->trackBar5 = (gcnew System::Windows::Forms::TrackBar());
	this->radioOff5 = (gcnew System::Windows::Forms::RadioButton());
	this->radioOn5 = (gcnew System::Windows::Forms::RadioButton());
	this->groupGPO1->SuspendLayout();
	(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar1))->BeginInit();
	this->groupGPO2->SuspendLayout();
	(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar2))->BeginInit();
	this->groupGPO3->SuspendLayout();
	(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar3))->BeginInit();
	this->groupGPO4->SuspendLayout();
	(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar4))->BeginInit();
	this->groupGPO5->SuspendLayout();
	(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar5))->BeginInit();
	this->SuspendLayout();
	// 
	// butReadCur
	// 
	this->butReadCur->Location = System::Drawing::Point(12, 12);
	this->butReadCur->Size = System::Drawing::Size(112, 23);
	this->butReadCur->TabIndex = 0;
	this->butReadCur->Text = L"Read LCD Current";
	this->butReadCur->UseVisualStyleBackColor = true;
	this->butReadCur->Click += gcnew System::EventHandler(this, &EditGPOs::butReadCur_Click);
	// 
	// butReadMem
	// 
	this->butReadMem->Location = System::Drawing::Point(130, 12);
	this->butReadMem->Size = System::Drawing::Size(112, 23);
	this->butReadMem->TabIndex = 1;
	this->butReadMem->Text = L"Read LCD Memory";
	this->butReadMem->UseVisualStyleBackColor = true;
	this->butReadMem->Click += gcnew System::EventHandler(this, &EditGPOs::butReadMem_Click);
	// 
	// butSetMem
	// 
	this->butSetMem->Location = System::Drawing::Point(366, 12);
	this->butSetMem->Size = System::Drawing::Size(112, 23);
	this->butSetMem->TabIndex = 3;
	this->butSetMem->Text = L"Set LCD Memory";
	this->butSetMem->UseVisualStyleBackColor = true;
	this->butSetMem->Click += gcnew System::EventHandler(this, &EditGPOs::butSetMem_Click);
	// 
	// butSetCur
	// 
	this->butSetCur->Location = System::Drawing::Point(248, 12);
	this->butSetCur->Size = System::Drawing::Size(112, 23);
	this->butSetCur->TabIndex = 2;
	this->butSetCur->Text = L"Set LCD Current";
	this->butSetCur->UseVisualStyleBackColor = true;
	this->butSetCur->Click += gcnew System::EventHandler(this, &EditGPOs::butSetCur_Click);
	// 
	// radioOn1
	// 
	this->radioOn1->AutoSize = true;
	this->radioOn1->Location = System::Drawing::Point(6, 19);
	this->radioOn1->Size = System::Drawing::Size(39, 17);
	this->radioOn1->TabIndex = 0;
	this->radioOn1->Text = L"On";
	this->radioOn1->UseVisualStyleBackColor = true;
	// 
	// groupGPO1
	// 
	this->groupGPO1->Anchor = static_cast<System::Windows::Forms::AnchorStyles>(((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Left) 
		| System::Windows::Forms::AnchorStyles::Right));
	this->groupGPO1->Controls->Add(this->label1);
	this->groupGPO1->Controls->Add(this->trackBar1);
	this->groupGPO1->Controls->Add(this->radioOff1);
	this->groupGPO1->Controls->Add(this->radioOn1);
	this->groupGPO1->Location = System::Drawing::Point(12, 41);
	this->groupGPO1->Size = System::Drawing::Size(465, 69);
	this->groupGPO1->TabIndex = 5;
	this->groupGPO1->TabStop = false;
	this->groupGPO1->Text = L"GPO 1";
	// 
	// label1
	// 
	this->label1->AutoSize = true;
	this->label1->Location = System::Drawing::Point(57, 39);
	this->label1->Size = System::Drawing::Size(0, 13);
	// 
	// trackBar1
	// 
	this->trackBar1->Anchor = static_cast<System::Windows::Forms::AnchorStyles>(((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Left) 
		| System::Windows::Forms::AnchorStyles::Right));
	this->trackBar1->LargeChange = 32;
	this->trackBar1->Location = System::Drawing::Point(96, 19);
	this->trackBar1->Maximum = 255;
	this->trackBar1->Size = System::Drawing::Size(363, 45);
	this->trackBar1->TabIndex = 2;
	this->trackBar1->TickFrequency = 4;
	this->trackBar1->Value = 255;
	this->trackBar1->Scroll += gcnew System::EventHandler(this, &EditGPOs::trackBar1_Scroll);
	// 
	// radioOff1
	// 
	this->radioOff1->AutoSize = true;
	this->radioOff1->Checked = true;
	this->radioOff1->Location = System::Drawing::Point(51, 19);
	this->radioOff1->Size = System::Drawing::Size(39, 17);
	this->radioOff1->TabIndex = 1;
	this->radioOff1->TabStop = true;
	this->radioOff1->Text = L"Off";
	this->radioOff1->UseVisualStyleBackColor = true;
	// 
	// groupGPO2
	// 
	this->groupGPO2->Anchor = static_cast<System::Windows::Forms::AnchorStyles>(((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Left) 
		| System::Windows::Forms::AnchorStyles::Right));
	this->groupGPO2->Controls->Add(this->label2);
	this->groupGPO2->Controls->Add(this->trackBar2);
	this->groupGPO2->Controls->Add(this->radioOff2);
	this->groupGPO2->Controls->Add(this->radioOn2);
	this->groupGPO2->Location = System::Drawing::Point(12, 118);
	this->groupGPO2->Size = System::Drawing::Size(465, 69);
	this->groupGPO2->TabIndex = 6;
	this->groupGPO2->TabStop = false;
	this->groupGPO2->Text = L"GPO 2";
	// 
	// label2
	// 
	this->label2->AutoSize = true;
	this->label2->Location = System::Drawing::Point(57, 39);
	this->label2->Size = System::Drawing::Size(0, 13);
	// 
	// trackBar2
	// 
	this->trackBar2->Anchor = static_cast<System::Windows::Forms::AnchorStyles>(((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Left) 
		| System::Windows::Forms::AnchorStyles::Right));
	this->trackBar2->LargeChange = 32;
	this->trackBar2->Location = System::Drawing::Point(96, 19);
	this->trackBar2->Maximum = 255;
	this->trackBar2->Size = System::Drawing::Size(363, 45);
	this->trackBar2->TabIndex = 2;
	this->trackBar2->TickFrequency = 4;
	this->trackBar2->Value = 255;
	this->trackBar2->Scroll += gcnew System::EventHandler(this, &EditGPOs::trackBar2_Scroll);
	// 
	// radioOff2
	// 
	this->radioOff2->AutoSize = true;
	this->radioOff2->Checked = true;
	this->radioOff2->Location = System::Drawing::Point(51, 19);
	this->radioOff2->Size = System::Drawing::Size(39, 17);
	this->radioOff2->TabIndex = 1;
	this->radioOff2->TabStop = true;
	this->radioOff2->Text = L"Off";
	this->radioOff2->UseVisualStyleBackColor = true;
	// 
	// radioOn2
	// 
	this->radioOn2->AutoSize = true;
	this->radioOn2->Location = System::Drawing::Point(6, 19);
	this->radioOn2->Size = System::Drawing::Size(39, 17);
	this->radioOn2->TabIndex = 0;
	this->radioOn2->Text = L"On";
	this->radioOn2->UseVisualStyleBackColor = true;
	// 
	// groupGPO3
	// 
	this->groupGPO3->Anchor = static_cast<System::Windows::Forms::AnchorStyles>(((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Left) 
		| System::Windows::Forms::AnchorStyles::Right));
	this->groupGPO3->Controls->Add(this->label3);
	this->groupGPO3->Controls->Add(this->trackBar3);
	this->groupGPO3->Controls->Add(this->radioOff3);
	this->groupGPO3->Controls->Add(this->radioOn3);
	this->groupGPO3->Location = System::Drawing::Point(12, 193);
	this->groupGPO3->Size = System::Drawing::Size(465, 69);
	this->groupGPO3->TabIndex = 7;
	this->groupGPO3->TabStop = false;
	this->groupGPO3->Text = L"GPO 3";
	// 
	// label3
	// 
	this->label3->AutoSize = true;
	this->label3->Location = System::Drawing::Point(57, 39);
	this->label3->Size = System::Drawing::Size(0, 13);
	// 
	// trackBar3
	// 
	this->trackBar3->Anchor = static_cast<System::Windows::Forms::AnchorStyles>(((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Left) 
		| System::Windows::Forms::AnchorStyles::Right));
	this->trackBar3->LargeChange = 32;
	this->trackBar3->Location = System::Drawing::Point(96, 19);
	this->trackBar3->Maximum = 255;
	this->trackBar3->Size = System::Drawing::Size(363, 45);
	this->trackBar3->TabIndex = 2;
	this->trackBar3->TickFrequency = 4;
	this->trackBar3->Value = 255;
	this->trackBar3->Scroll += gcnew System::EventHandler(this, &EditGPOs::trackBar3_Scroll);
	// 
	// radioOff3
	// 
	this->radioOff3->AutoSize = true;
	this->radioOff3->Checked = true;
	this->radioOff3->Location = System::Drawing::Point(51, 19);
	this->radioOff3->Size = System::Drawing::Size(39, 17);
	this->radioOff3->TabIndex = 1;
	this->radioOff3->TabStop = true;
	this->radioOff3->Text = L"Off";
	this->radioOff3->UseVisualStyleBackColor = true;
	// 
	// radioOn3
	// 
	this->radioOn3->AutoSize = true;
	this->radioOn3->Location = System::Drawing::Point(6, 19);
	this->radioOn3->Size = System::Drawing::Size(39, 17);
	this->radioOn3->TabIndex = 0;
	this->radioOn3->Text = L"On";
	this->radioOn3->UseVisualStyleBackColor = true;
	// 
	// groupGPO4
	// 
	this->groupGPO4->Anchor = static_cast<System::Windows::Forms::AnchorStyles>(((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Left) 
		| System::Windows::Forms::AnchorStyles::Right));
	this->groupGPO4->Controls->Add(this->label4);
	this->groupGPO4->Controls->Add(this->trackBar4);
	this->groupGPO4->Controls->Add(this->radioOff4);
	this->groupGPO4->Controls->Add(this->radioOn4);
	this->groupGPO4->Location = System::Drawing::Point(12, 268);
	this->groupGPO4->Size = System::Drawing::Size(465, 69);
	this->groupGPO4->TabIndex = 8;
	this->groupGPO4->TabStop = false;
	this->groupGPO4->Text = L"GPO 4";
	// 
	// label4
	// 
	this->label4->AutoSize = true;
	this->label4->Location = System::Drawing::Point(57, 39);
	this->label4->Size = System::Drawing::Size(0, 13);
	// 
	// trackBar4
	// 
	this->trackBar4->Anchor = static_cast<System::Windows::Forms::AnchorStyles>(((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Left) 
		| System::Windows::Forms::AnchorStyles::Right));
	this->trackBar4->LargeChange = 32;
	this->trackBar4->Location = System::Drawing::Point(96, 19);
	this->trackBar4->Maximum = 255;
	this->trackBar4->Size = System::Drawing::Size(363, 45);
	this->trackBar4->TabIndex = 2;
	this->trackBar4->TickFrequency = 4;
	this->trackBar4->Value = 255;
	this->trackBar4->Scroll += gcnew System::EventHandler(this, &EditGPOs::trackBar4_Scroll);
	// 
	// radioOff4
	// 
	this->radioOff4->AutoSize = true;
	this->radioOff4->Checked = true;
	this->radioOff4->Location = System::Drawing::Point(51, 19);
	this->radioOff4->Size = System::Drawing::Size(39, 17);
	this->radioOff4->TabIndex = 1;
	this->radioOff4->TabStop = true;
	this->radioOff4->Text = L"Off";
	this->radioOff4->UseVisualStyleBackColor = true;
	// 
	// radioOn4
	// 
	this->radioOn4->AutoSize = true;
	this->radioOn4->Location = System::Drawing::Point(6, 19);
	this->radioOn4->Size = System::Drawing::Size(39, 17);
	this->radioOn4->TabIndex = 0;
	this->radioOn4->Text = L"On";
	this->radioOn4->UseVisualStyleBackColor = true;
	// 
	// groupGPO5
	// 
	this->groupGPO5->Anchor = static_cast<System::Windows::Forms::AnchorStyles>(((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Left) 
		| System::Windows::Forms::AnchorStyles::Right));
	this->groupGPO5->Controls->Add(this->label5);
	this->groupGPO5->Controls->Add(this->trackBar5);
	this->groupGPO5->Controls->Add(this->radioOff5);
	this->groupGPO5->Controls->Add(this->radioOn5);
	this->groupGPO5->Location = System::Drawing::Point(12, 343);
	this->groupGPO5->Size = System::Drawing::Size(465, 69);
	this->groupGPO5->TabIndex = 9;
	this->groupGPO5->TabStop = false;
	this->groupGPO5->Text = L"GPO 5";
	// 
	// label5
	// 
	this->label5->AutoSize = true;
	this->label5->Location = System::Drawing::Point(57, 39);
	this->label5->Size = System::Drawing::Size(0, 13);
	// 
	// trackBar5
	// 
	this->trackBar5->Anchor = static_cast<System::Windows::Forms::AnchorStyles>(((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Left) 
		| System::Windows::Forms::AnchorStyles::Right));
	this->trackBar5->LargeChange = 32;
	this->trackBar5->Location = System::Drawing::Point(96, 19);
	this->trackBar5->Maximum = 255;
	this->trackBar5->Size = System::Drawing::Size(363, 45);
	this->trackBar5->TabIndex = 2;
	this->trackBar5->TickFrequency = 4;
	this->trackBar5->Value = 255;
	this->trackBar5->Scroll += gcnew System::EventHandler(this, &EditGPOs::trackBar5_Scroll);
	// 
	// radioOff5
	// 
	this->radioOff5->AutoSize = true;
	this->radioOff5->Checked = true;
	this->radioOff5->Location = System::Drawing::Point(51, 19);
	this->radioOff5->Size = System::Drawing::Size(39, 17);
	this->radioOff5->TabIndex = 1;
	this->radioOff5->TabStop = true;
	this->radioOff5->Text = L"Off";
	this->radioOff5->UseVisualStyleBackColor = true;
	// 
	// radioOn5
	// 
	this->radioOn5->AutoSize = true;
	this->radioOn5->Location = System::Drawing::Point(6, 19);
	this->radioOn5->Size = System::Drawing::Size(39, 17);
	this->radioOn5->TabIndex = 0;
	this->radioOn5->Text = L"On";
	this->radioOn5->UseVisualStyleBackColor = true;
	// 
	// EditGPOs
	// 
	this->AutoScaleDimensions = System::Drawing::SizeF(6, 13);
	this->AutoScaleMode = System::Windows::Forms::AutoScaleMode::Font;
	this->ClientSize = System::Drawing::Size(489, 424);
	this->Controls->Add(this->groupGPO5);
	this->Controls->Add(this->groupGPO4);
	this->Controls->Add(this->groupGPO3);
	this->Controls->Add(this->groupGPO2);
	this->Controls->Add(this->groupGPO1);
	this->Controls->Add(this->butSetMem);
	this->Controls->Add(this->butSetCur);
	this->Controls->Add(this->butReadMem);
	this->Controls->Add(this->butReadCur);
	this->Icon = (cli::safe_cast<System::Drawing::Icon^  >(resources->GetObject(L"$this.Icon")));
	this->MinimumSize = System::Drawing::Size(505, 460);
	this->Text = L"Edit GPOs";
	this->groupGPO1->ResumeLayout();
	(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar1))->EndInit();
	this->groupGPO2->ResumeLayout();
	(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar2))->EndInit();
	this->groupGPO3->ResumeLayout();
	(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar3))->EndInit();
	this->groupGPO4->ResumeLayout();
	(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar4))->EndInit();
	this->groupGPO5->ResumeLayout();
	(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar5))->EndInit();
	this->ResumeLayout(false);
}