#include "stdafx.h"
#include "Device.h"
#include "DeviceChooser.h"
#include "Setter.h"
#include "Dialog.h"

using namespace lcdsetter;

[System::STAThreadAttribute]
int main(array<System::String ^> ^args) {
	// Enabling Windows XP visual effects before any controls are created
	System::Windows::Forms::Application::EnableVisualStyles();
	System::Windows::Forms::Application::SetCompatibleTextRenderingDefault(false); 

	// Get the device to use
	DeviceChooser ^dc = gcnew DeviceChooser();
	if (dc->ShowDialog() == DialogResult::OK) {
		Dialog::CreateForm();
		// Create the main window and run it
		Device ^d = dc->device;
		if (d->type == BOOTLOADER) {
			Application::DoEvents();
			if (MessageBox::Show(L"For bootloader devices you can only update the firmware. Do you wish to update the firmware of this device?", L"Update Firmware", MessageBoxButtons::YesNo) == DialogResult::Yes) {
				OpenFileDialog ^openFileDialog = gcnew OpenFileDialog();
				openFileDialog->Filter = L"HEX File (*.hex)|*.hex";
				openFileDialog->RestoreDirectory = true;
				if (openFileDialog->ShowDialog() == System::Windows::Forms::DialogResult::OK) {
					Application::DoEvents();
					wchar_t *fileName = toWCS(openFileDialog->FileName);
					int retval = checkHEXfile(fileName);
					if (retval < 0) {
						MessageBox::Show(L"The selected file could not be read / parsed: "+retval, L"File Error", MessageBoxButtons::OK, MessageBoxIcon::Error);
					} else {
						Dialog::ShowNonModal(L"Firmware Update", L"Updating firmware...");
						Dialog::SetProgressStyle(false);
						Application::DoEvents();
						retval = updateFirmware(d->id, fileName, &progress);
						Dialog::CloseForm();
						Application::DoEvents();
						if (retval < 0) {
							MessageBox::Show(L"The firmware failed to update (error: "+retval+L").\nTry running LCD Setter again.",L"Firmware Update Problem");
						} else {
							MessageBox::Show(L"The firmware was successfully updated.\n\nYou must unplug the device and plug it back in to complete the update.\n\nSome saved settings may have changed during this process.",L"Firmware Updated Successfully");
						}
					}
					delete[] fileName;
				}
			}
		} else {
			System::Windows::Forms::Application::Run(gcnew Setter(d->type == U2L_COM, d->id));
		}
	}

	return 0;
}
